import React from "react";
import { shallow } from "enzyme";
import { Router } from "react-router-dom";

import TeamList from "../../components/TeamList";
import ConfirmModal from "../../components/ConfirmModal";
import AddTeamDialog from "../../components/AddTeamDialog";
import CardBox from "../../components/CardBox";
import CoordinateDialog from "../../components/CoordinateDialog";
import EditOrDeleteTeamDialog from "../../components/EditOrDeleteTeamDialog";
import Loader from "../../components/Loader";
import MessageBox from "../../components/MessageBox";
import NavBar from "../../components/NavBar";
import NestedDeleteTeamDialog from "../../components/NestedDeleteTeamDialog";

it("renders TeamList without crashing", () => {
  shallow(<TeamList teams={[]} setTeams={[]} />);
});

it("renders ConfirmModal without crashing", () => {
  shallow(<ConfirmModal />);
});

it("renders AddTeamDialog without crashing", () => {
  shallow(<AddTeamDialog />);
});

it("renders CardBox without crashing", () => {
  shallow(<CardBox />);
});

it("renders CoordinateDialog without crashing", () => {
  shallow(<CoordinateDialog />);
});

it("renders EditOrDeleteTeamDialog without crashing", () => {
  shallow(<EditOrDeleteTeamDialog />);
});

it("renders Loader without crashing", () => {
  shallow(<Loader />);
});

it("renders NestedDeleteTeamDialog without crashing", () => {
  shallow(
    <NestedDeleteTeamDialog
      openDialog={[]}
      setOpenDialog={[]}
      dialogTitle={[]}
      deleteTeamFunc={[]}
      listName={[]}
    />
  );
});
