import validateRelay from "../../utils/validateRelay";
import React from "react";

const data_set_1 = {
  latitude: 60.11,
  longitude: 50.22,
  location: "svalbard",
  startTime: "",
  endTime: "",
  Information: "regn forventet",
  circularRelay: true,
  teamIds: [1, 2, 3],
  relayStages: [{ stageTypeId: 1, lat: 50.22, lng: 60.11 }],
};

// error here is the latitude attribute being 0.
const data_set_2 = {
  latitude: 0,
  longitude: 50.22,
  location: "svalbard",
  startTime: "",
  endTime: "",
  Information: "regn forventet",
  circularRelay: true,
  teamIds: [1, 2, 3],
  relayStages: [{ stageTypeId: 1, lat: 50.22, lng: 60.11 }],
};
test("validateRelay passes for data-set 1", () => {
  var returnObject = {
    error: "valid",
    isValid: true,
  };
  expect(validateRelay(data_set_1)).toStrictEqual(returnObject);
});

test("validateRelay fails for data-set 2", () => {
  var returnObject = {
    error: "Ikke gyldig latitude",
    isValid: false,
  };
  expect(validateRelay(data_set_2)).toStrictEqual(returnObject);
});
