import React from "react";

// mui
import Box from "@mui/material/Box";
import LinearProgress from "@mui/material/LinearProgress";

const Loader = ({ children, isLoading }) => {
  return (
    <>
      {isLoading ? (
        <Box sx={{ width: "100%", marginTop: "10px", marginBottom: "10px" }}>
          <LinearProgress />
        </Box>
      ) : (
        <>{children}</>
      )}
    </>
  );
};

export default Loader;
