## About The Project

Bike & Run mobile application is a cross platform app that is created for the Bike & Run relay race. This app lets particiaptns input their invite code given to them by their team leader. It then starts transmitting the phones coordinates to the backend REST API.

### Built With

- [React Native](https://reactnative.dev/)

- [Expo Go](https://expo.dev/client)

- [NativeBase](https://nativebase.io/)

## Getting Started

This is an example of how you may give instructions on setting up your project locally.

To get a local copy up and running follow these simple example steps.

### Prerequisites

This has to be installed to be able to run the application locally.

- [NodeJS](https://nodejs.org/en/)

### Installation

1. Clone the repo

   ```

      git clone https://YOUR_USERNAME@bitbucket.org/headit/bike-and-run-application.git

   ```

2. You need to create a .ENV file and define the following variables:

* API_URL=REST_API_DEPLOYMENT_URL

3. Install the Expo go app from the iOS store or Play Store
   Android:  
   https://play.google.com/store/apps/details?id=host.exp.exponent&hl=no&gl=US
   iOS:  
   https://apps.apple.com/us/app/expo-go/id982107779

#### Running the app

To run, do the following commands.

1. Start the backend REST API for the bike and run system
2. Type this into the command line in the root folder of the project. This will install all the packages.  ```yarn```
3. To run the website type the following command:  ```expo start```
   
Now you should see a in the terminal a QR code come up. With Androids, use your QR scanner to scan it, with Iphones you can use the camera to scan it.

The app should now launch on the device.