﻿using System;
using System.Linq;

namespace BikeAndRunAPI.Scripts
{
    /// <summary>
    /// Used to generate the team ids of the participants connected to the relays teams.
    /// </summary>
    public class Generator
    {
        private static readonly Random random = new Random();
        public static string RandomString(int length)
        {
            const string chars = "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";
            return new string(Enumerable.Repeat(chars, length)
                .Select(s => s[random.Next(s.Length)]).ToArray());
        }
    }
}
