﻿using BikeAndRunAPI.Data;
using BikeAndRunAPI.Data.Models;
using System.Collections.Generic;
using System.Linq;

namespace BikeAndRunAPI.Services
{
    public class StageTypeService
    {
        private readonly BikeAndRunContext _context;

        public StageTypeService(BikeAndRunContext context)
        {
            _context = context;
        }

        /// <summary>
        /// Fetches all current stagetypes present in the database.
        /// </summary>
        /// <returns>List of stagetypes</returns>
        public List<StageType> GetAllStageTypes()
        {
            var stageTypes = _context.StageTypes.ToList();
            return stageTypes;
        }
    }
}
