// components
import TeamList from "../../../components/TeamList";

// mui
import { makeStyles } from "@mui/styles";

const useStyles = makeStyles((theme) => ({
  pageContainer: {
    display: "flex",
    justifyContent: "space-around",
    flexDirection: "column",
    alignItems: "center",
  },
}));

const AddTeams = ({ teams, setTeams }) => {
  const classes = useStyles();

  return (
    <div className={classes.pageContainer}>
      <TeamList teams={teams} setTeams={setTeams} />
    </div>
  );
};

export default AddTeams;
