import React from "react";
import { Box } from "native-base";
import { StyleSheet } from "react-native";

export default function Background({ children }) {
  return (
    <Box
      style={styles.container}
      bg={{
        linearGradient: {
          colors: ["#7dd3fc", "#0e76bc"],
          start: [0, 0],
          end: [1, 0],
        },
      }}
    >
      {children}
    </Box>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
  },
});
