﻿using BikeAndRunAPI.Data.Models;
using System;
using System.Collections.Generic;

namespace BikeAndRunAPI.Data.DTO
{
    public class RelayDetailDTO
    {
        public long Id { get; set; }
        public double Latitude { get; set; }
        public double Longitude { get; set; }
        public string Location { get; set; }
        public DateTime StartTime { get; set; }
        public DateTime EndTime { get; set; }
        public string Information { get; set; }
        public bool CircularRelay { get; set; }
        public int ExchangeRadiusMeters { get; set; }
        public int FrontendUpdateSeconds { get; set; }
        public bool HasStarted { get; set; }
        public List<ParticipantDTO> Participants { get; set; }
        public List<Team> Teams { get; set; }
        public List<RelayStageDTO> RelayStages { get; set; }
    }
}
