## About The Project

Bike & Run simulator is a relay race simulator used for testing and during the development of the bachelor project. This was not part of the project description and was something created extra by us to make development easier.

### Built With

* [React](https://reactjs.org/)

* [MUI](https://mui.com/)

* [react-google-maps](https://www.npmjs.com/package/react-google-maps)
  
## Getting Started

This is an example of how you may give instructions on setting up your project locally.

To get a local copy up and running follow these simple example steps.

### Prerequisites

This has to be installed to be able to run the application locally.


* [NodeJS](	https://nodejs.org/en/)

You need to have a valid google maps api key. Follow this link to see how to get one for free.
https://developers.google.com/maps/documentation/javascript/get-api-key

### Installation

1. Clone the repo

```sh

git clone https://YOUR_USERNAME@bitbucket.org/headit/bike-and-run-simulator.git

```

2. You need to create a .ENV file and define the following variables:

* REACT_APP_API_URL = YOUR_DEPLOYMENT_REST_API_URL
* REACT_APP_COORDINATE_URL = YOUR_DEPLOYMENT_REST_API_URL/coordinates
* REACT_APP_GOOGLE_KEY = YOUR_GOOGLE_MAPS_KEY

#### Running the app

To run, do the following commands.

1. Start the backend REST API (link til repo her)
2. Type this into the command line in the root folder of the project. This will install all the packages.
	```sh
	yarn
	```
3.  To run the website type the following command:
	```sh
	yarn start
	```
	
Now you should see the website open up in your default browser and with a valid google maps api key you will see a google maps display and a couple of buttons to start the test relay.
